{ sources ? import ./sources.nix, rust ? import ./rust.nix { }
, pkgs ? import sources.nixpkgs { } }:

with pkgs;

rustPlatform.buildRustPackage rec {
  pname = "bootimage";
  version = "0.7.8";

  inherit rust;

  src = fetchFromGitHub {
    owner = "rust-osdev";
    repo = pname;
    rev = "v${version}";
    sha256 = "1rczflf6fllxkag5nah195shwqvqmlna9a1gkcwp9ljlgxlr9zvq";
  };

  cargoSha256 = "1n2kvn9ksla1vrcgmzc2wixiydqjgxdhcav0q6lsg2d6j89hs8vp";
}

